Subject: Re: [bitcoin-dev] BIP numbers

From: Adrian Macneil <[email-masked]>
Date: Thu, 31 Dec 2015 23:30:02 +0000

I'm not sure if anyone has suggested this in the past, but a novel approach
would be to simply let anyone open a pull request and use the PR # as the
BIP #. This would avoid conflicts, and avoid the chore of having someone
manually assign them.

Downside would be that some numbers will never get used (for example if PRs
are opened to update existing BIPs), but this doesn't seem to be a huge
problem since already many numbers are going unused.

This process can still be independent from approving/merging the BIP into
master, if it meets quality standards.
On Thu, Dec 31, 2015 at 3:14 PM Peter Todd via bitcoin-dev <
[email-masked]> wrote:

> On Wed, Dec 30, 2015 at 05:42:47PM +0100, Marco Pontello via bitcoin-dev
> wrote:
> > Sorry to ask again but... what's up with the BIP number assignments?
> > I thought that it was just more or less a formality, to avoid conflicts
> and
> > BIP spamming. And that would be perfectly fine.
> > But since I see that it's a process that can take months (just looking at
> > the PR request list), it seems that something different is going on.
> Maybe
> > it's considered something that give an aura of officiality of sorts? But
> > that would make little sense, since that should come eventually with
> > subsequents steps (like adding a BIP to the main repo, and eventual
> > approvation).
> >
> > Having # 333 assigned to a BIP, should just mean that's easy to refer to
> a
> > particular BIP.
> > That seems something that could be done quick and easily.
> >
> > What I'm missing? Probably some historic context?
>
> You ever noticed how actually getting a BIP # assigned is the *last*
> thing the better known Bitcoin Core devs do? For instance, look at the
> segregated witness draft BIPs.
>
> I think we have problem with peoples' understanding of the Bitcoin
> consensus protocol development process being backwards: first write your
> protocol specification - the code - and then write the human readable
> reference explaining it - the BIP.
>
> Equally, without people actually using that protocol, who cares about
> the BIP?
>
>
> Personally if I were assigning BIP numbers I'd be inclined to say "fuck
> it" and only assign BIP numbers to BIPs after they've had significant
> adoption... It'd might just cause a lot less headache than the current
> system.
>
> --
> 'peter'[:-1]@petertodd.org
> 000000000000000006808135a221edd19be6b5b966c4621c41004d3d719d18b7
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>